Package be.ehealth.businessconnector.therlink.domain

# Class Patient

java.lang.Object
be.ehealth.business.common.domain.Patient
be.ehealth.businessconnector.therlink.domain.Patient

All Implemented Interfaces:
  `Serializable`

@Deprecated public class Patient extends Patient implements Serializable
Deprecated.
use be.ehealth.business.common.domain.Patient instead
This class represents a Patient.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Patient.Builder`
  Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Patient()`
  Deprecated.
  `Patient(String inss)`
  Deprecated.
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  Deprecated.
  `String`
  `getIsiCardNumber()`
  Deprecated.
  `String`
  `getName()`
  Deprecated.
  `String`
  `getSis()`
  Deprecated.
  `int`
  `hashCode()`
  Deprecated.
  `void`
  `setIsiCardNumber(String isiCardNumber)`
  Deprecated.
  `void`
  `setName(String name)`
  Deprecated.
  `void`
  `setSis(String sis)`
  Deprecated.
  `String`
  `toString()`
  Deprecated.

  ### Methods inherited from class be.ehealth.business.common.domain.Patient

  `getEidCardNumber, getFirstName, getInss, getLastName, getMiddleName, getMutuality, getRegNrWithMut, getSisCardNumber, setEidCardNumber, setFirstName, setInss, setLastName, setMiddleName, setMutuality, setRegNrWithMut, setSisCardNumber`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Patient

    public Patient()
    Deprecated.

  - ### Patient

    public Patient(String inss)
    Deprecated.
    Constructor.
    Parameters:
      `inss` -

- ## Method Details

  - ### getName

    public String getName()
    Deprecated.
    Returns:
      the name

  - ### setName

    public void setName(String name)
    Deprecated.
    Parameters:
      `name` - the name to set

  - ### getSis

    public String getSis()
    Deprecated.
    Returns:
      the sis

  - ### setSis

    public void setSis(String sis)
    Deprecated.
    Parameters:
      `sis` - the sis to set

  - ### getIsiCardNumber

    public String getIsiCardNumber()
    Deprecated.
    Overrides:
      `getIsiCardNumber` in class `Patient`
    Returns:
      the isiCardNumber
    See Also:
      - `Patient.getIsiCardNumber()`

  - ### setIsiCardNumber

    public void setIsiCardNumber(String isiCardNumber)
    Deprecated.
    Overrides:
      `setIsiCardNumber` in class `Patient`
    Parameters:
      `isiCardNumber` - the isiCardNumber to set
    See Also:
      - `Patient.setIsiCardNumber(java.lang.String)`

  - ### hashCode

    public int hashCode()
    Deprecated.
    Overrides:
      `hashCode` in class `Patient`
    See Also:
      - `Object.hashCode()`

  - ### equals

    public boolean equals(Object obj)
    Deprecated.
    Overrides:
      `equals` in class `Patient`
    See Also:
      - `Object.equals(java.lang.Object)`

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `Patient`
    See Also:
      - `Object.toString()`